# ByteConversionSink class

The ByteConversionSink provides an interface for converters to efficiently transmit byte data.

Instead of limiting the interface to one non-chunked list of bytes it accepts its input in chunks (themselves being lists of bytes).

This abstract class will likely get more methods over time. Implementers are urged to extend or mix in ByteConversionSinkBase to ensure that their class covers the newly added methods.

Inheritance
  - Object
  - ChunkedConversionSink<List<int>>
  - ByteConversionSink
Implementers
  - ByteConversionSinkBase

## Constructors

ByteConversionSink()
ByteConversionSink.from(Sink<List<int>> sink)
  factory
ByteConversionSink.withCallback(void callback(List<int> accumulated))
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addSlice(List<int> chunk, int start, int end, bool isLast) → void
  Adds the next `chunk` to `this`. [...]
add(List<int> chunk) → void
  Adds chunked data to this sink. [...]
  inherited
close() → void
  Closes the sink. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited